<?php

namespace App\Http\Resources;
use App\Models\ConfigurationContact;
use Illuminate\Http\Resources\Json\JsonResource;

class ConfigurationResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    { 
        
       $tel =  ConfigurationContact::where(['conf_id' => $this->id, 'type' => 'phone']);
       if($tel->count() > 0){
           $telp = $tel->get();
       }else{
           $telp = "Tidak Ada Data";
       }
       
       $mob =  ConfigurationContact::where(['conf_id' => $this->id, 'type' => 'whatsapp']);
       if($mob->count() > 0){
           $mobile = $mob->get();
       }else{
           $mobile = "Tidak Ada Data";
       }
       
       $fa =  ConfigurationContact::where(['conf_id' => $this->id, 'type' => 'fax']);
       if($fa->count() > 0){
           $fax = $fa->get();
       }else{
           $fax = "Tidak Ada Data";
       }
       
       $contact = [
                    'phone' => $telp,
                    'mobile' => $mobile,
                    'fax' => $fax,
           ];
        return [
            'title'                   => $this->title,
            'address'                 => $this->address,
            'vision'                  => $this->vision,
            'mission'                  => $this->mission,
            'about_us'                  => $this->about_us,
            'maksud_tujuan'           => $this->maksud_tujuan,
            'email'                   => $this->email,
            'contact'                 => $contact,
            
        ];
    }
}
