<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;
use App\Models\UserApp;
class LoginResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    {   

        return [
            'user_id'               => $this->id,
            'npp'             => $this->npp,
            'fullname'             => $this->fullname,
            
            'is_korlap'             => $this->is_korlap,
            'api_token'             => $this->api_token,
            
            'token_type'            => 'bearer',
            
        ];
    }
}
