<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class HospitalGuarantee extends Model 
{

    protected $table = 'hospital_guarantee';
    static function hitSJaminanRs($reqs, $params){
            $jsonBody     = json_encode($reqs);
            $header = array(
                      'Content-Type: multipart/form-data'
                    );
            $kelas = str_replace(" ", "", $params['kelas']);
            $url = "https://sipurna.com/aplikasi/api/ykp/surat_jaminan_rs?npp=".$params['npp']."&type=".$params['type']."&bulan=".$params['bulan']."&tahun=".$params['tahun']."&kelas=".$kelas."";
            // $ch = curl_init("https://sipurna.com/aplikasi/api/ykp/surat_jaminan_rs?npp=9999&type=1&bulan=3&tahun=2021&kelas= I");
            $ch = curl_init($url);
            // curl_setopt($ch, CURLOPT_HEADER, false);
            curl_setopt($ch, CURLOPT_HTTPHEADER, $header);

            curl_setopt($ch, CURLOPT_POSTFIELDS, $reqs);

            curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
            curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
            curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);

            $err = curl_error($ch);
            $ret = curl_exec($ch);
            curl_close($ch);
            
            // return $url;
            return json_decode($ret, true);
    }
    static function getRomawi($bln){
                switch ($bln){
                    case 1: 
                        return "I";
                        break;
                    case 2:
                        return "II";
                        break;
                    case 3:
                        return "III";
                        break;
                    case 4:
                        return "IV";
                        break;
                    case 5:
                        return "V";
                        break;
                    case 6:
                        return "VI";
                        break;
                    case 7:
                        return "VII";
                        break;
                    case 8:
                        return "VIII";
                        break;
                    case 9:
                        return "IX";
                        break;
                    case 10:
                        return "X";
                        break;
                    case 11:
                        return "XI";
                        break;
                    case 12:
                        return "XII";
                        break;
                }
}
}
