<?php

namespace App\Models;

use Illuminate\Auth\Authenticatable;
use Illuminate\Contracts\Auth\Access\Authorizable as AuthorizableContract;
use Illuminate\Contracts\Auth\Authenticatable as AuthenticatableContract;
use Illuminate\Database\Eloquent\Model;
use Laravel\Lumen\Auth\Authorizable;

class UserApp extends Model implements AuthenticatableContract, AuthorizableContract
{
    use Authenticatable, Authorizable;


    protected $table = 'user_app';
    public $timestamps = false;
    protected $fillable = [
        'nip', 
        'npp',
        'api_token',
        'fullname',
        'pin',
        'gender',
        'birth_place',
        'birth_date',
        'gender',
        'status_participant',
        'address_1',
        'address_2',
        'address_3',
        'address_detail',
        'email',
        'fax',
        'rt_no',
        'rw_no',
        'province_id',
        'city_id',
        'district_id',
        'subdistrict_id',
        'postcode',
        'status',
        'created_at',
        'sts_ybs',
        'sum_anak'
    ];

}
