<?php

namespace App\Console\Commands;

use App\Models\Counting;
use Illuminate\Console\Command;

class CronJob extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'cronjob:counting';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Testing cron job';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {
        $create = Counting::create([
            'nominal' => 1
        ]);
        $this->info('Counting test doing every minute');
    }
}
