<?php

namespace App\Http\Resources;
use App\Models\TypeParam;
use Illuminate\Http\Resources\Json\JsonResource;
use Illuminate\Support\Facades\DB;

class OutstandingResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    { 
        
       
       $type = TypeParam::find($this->type);
       $type = strtolower(str_replace(' ', '_',$type->title));
        return [
            'id'                    => $this->id,
            'npp'                 => $this->npp,
            'type'                 => $type,
            'position_date'           => $this->position_date,
            'maksimum'                  => $this->maksimum,
            'mutasi'                  => $this->mutasi,
            'saldo'                  => $this->saldo,
            'created_at'            => $this->created_at,
            'updated_at'            => $this->updated_at,
            
        ];
    }
}
