<?php

namespace App\Http\Resources;
use App\Models\UserAppContact;
use Illuminate\Http\Resources\Json\JsonResource;

class UserParentResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    { 

        return [
            'id'                   => $this->id,
            'npp'                   => $this->npp,
            'fullname'                  => $this->fullname,
            'npp'                  => $this->npp,
            'type'               => $this->type,
            'birth_place'          => $this->birth_place,
            'date_place'           => date('d-m-Y', strtotime($this->date_place)),
            'created_at'                 => $this->created_at,
            'updated_at'   => $this->updated_at,
        ];
    }
}
